Debian Bug report logs - #662731
ITA: hwinfo -- Hardware identification system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: William Vera <billy@billy.com.mx>

Date: Tue, 6 Mar 2012 03:45:01 UTC

Owned by: Sebastien Badia <seb@sebian.fr>

Severity: normal

Fixed in version hwinfo/21.0-1

Done: Sebastien Badia <seb@sebian.fr>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#662731; Package wnpp. (Tue, 06 Mar 2012 03:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Vera <billy@billy.com.mx>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 06 Mar 2012 03:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: William Vera <billy@billy.com.mx>
To: submit@bugs.debian.org
Subject: O: hwinfo - Hardware identification system
Date: Mon, 5 Mar 2012 21:43:20 -0600
Package: wnpp
Severity: normal

I orphan this package now.

This package requires more attention than I can give, in addition to
no longer use and would rather focus on my other packages.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

-- 
William Vera | billy@billy.mx
Systems Engineer / Consultant IT / Sysadmin
PGP Key: 1024D/F5CC22A4
3E73 FA1F 5C57 6005 0439  4D75 1FD2 BF96 F5CC 22A4




Changed Bug title to 'O: hwinfo -- Hardware identification system' from 'O: hwinfo - Hardware identification system' Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 02:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#662731; Package wnpp. (Tue, 27 Nov 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Badia <sebastien@badia.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Nov 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #12 received at 662731@bugs.debian.org (full text, mbox):

From: Sebastien Badia <sebastien@badia.fr>
To: 662731@bugs.debian.org
Subject: ITA: hwinfo -- Hardware identification system
Date: Tue, 27 Nov 2012 14:05:34 +0100
[Message part 1 (text/plain, inline)]
retitle 662731 ITA: hwinfo -- Hardware identification system
owner 662731 !

thanks

I'm using hwinfo and I'm willing to take care of the package.
It would be my first package.

I have already started to fix bugs, I expect my validation on
collab-maint (alioth)

Regards,

Seb
-- 
Sebastien Badia
KeyID: 2EAF F1F7
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: hwinfo -- Hardware identification system' from 'O: hwinfo -- Hardware identification system' Request was from Sebastien Badia <sebastien@badia.fr> to control@bugs.debian.org. (Thu, 29 Nov 2012 02:15:02 GMT) Full text and rfc822 format available.

Owner recorded as Sebastien Badia <sebastien@badia.fr>. Request was from Sebastien Badia <sebastien@badia.fr> to control@bugs.debian.org. (Thu, 29 Nov 2012 02:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>:
Bug#662731; Package wnpp. (Wed, 12 Jun 2013 06:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>. (Wed, 12 Jun 2013 06:45:04 GMT) Full text and rfc822 format available.

Message #21 received at 662731@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: 662731@bugs.debian.org
Subject: Re: ITA: hwinfo -- Hardware identification system
Date: Wed, 12 Jun 2013 14:40:11 +0800
Any updates on this item?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>:
Bug#662731; Package wnpp. (Mon, 28 Oct 2013 10:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>. (Mon, 28 Oct 2013 10:36:22 GMT) Full text and rfc822 format available.

Message #26 received at 662731@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: 662731@bugs.debian.org
Subject: Any help?
Date: Mon, 28 Oct 2013 11:34:50 +0100
Hi Seb,
any help with this one? :)

Tomasz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>:
Bug#662731; Package wnpp. (Sat, 09 Nov 2013 01:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Badia <seb@sebian.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>. (Sat, 09 Nov 2013 01:33:04 GMT) Full text and rfc822 format available.

Message #31 received at 662731@bugs.debian.org (full text, mbox):

From: Sebastien Badia <seb@sebian.fr>
To: Tomasz Buchert <tomasz.buchert@inria.fr>, 662731@bugs.debian.org
Subject: Re: Bug#662731: Any help?
Date: Sat, 9 Nov 2013 02:21:51 +0100
Hi Tomasz,

Oh thanks, Yes i really appreciate !

I commenced the work on this package,

  - Create a repo on collab-maint
  - Import/convert to gbp
  - Fix bugs

http://anonscm.debian.org/gitweb/?p=collab-maint/hwinfo.git
http://anonscm.debian.org/gitweb/?p=collab-maint/libx86emu.git

but i need help for libx86emu (a new lib not in debian and dependent to hwinfo)

https://groups.google.com/forum/#!original/linux.debian.devel.mentors/qJH3AAyiulk/lArOc6V6FsgJ

i'm pretty new about SONAME (for libs packaging), and another « problem » is
that the upstream tgz doesn't contains a VERSION/CHANGELOG (this files are
generated by upstream makefile with git2log)

Upstream are :

https://gitorious.org/x86emu/libx86emu
https://gitorious.org/opensuse/hwinfo

Seb

-- 
Sebastien Badia
Xmpp/mail: <seb@sebian.fr>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>:
Bug#662731; Package wnpp. (Sun, 01 Dec 2013 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>. (Sun, 01 Dec 2013 20:57:04 GMT) Full text and rfc822 format available.

Message #36 received at 662731@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: 662731@bugs.debian.org, Sebastien Badia <seb@sebian.fr>, Tomasz Buchert <tomasz.buchert@inria.fr>
Subject: Re: Bug#662731: Any help?
Date: Sun, 1 Dec 2013 21:47:33 +0100
[Message part 1 (text/plain, inline)]
Hi Sebastien,

thanks for having a look at hwinfo. I was just pointed at this bug by
MIA after querying them and offering to help maintain it (I don't really
want to, but I still need it). Your package is a lot more progressed
though, so I'm happy you are doing this.

Regarding libx86emu, I came across the same problem during fixing up the
package. I took the easy route by just disabling it on all platforms
(patch attached), and I cannot make out any missing information in
hwinfo-20.2 . This might be, at least for now, the easier way around
libx86emu.

In addition, I was using the old get-orig-source way of getting a
tarball from the OpenSuSE src.rpm. I don't like it very much, but the
"tarball" already contains the generated changelog and VERSION file, so
you don't have to fix that up manually.

Best Regards,
Bernhard
[0001-debian-patches-disable_vbe_info.patch-disable-get_vb.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>:
Bug#662731; Package wnpp. (Sun, 01 Dec 2013 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Buchert <tomasz.buchert@inria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastien Badia <sebastien@badia.fr>. (Sun, 01 Dec 2013 22:27:04 GMT) Full text and rfc822 format available.

Message #41 received at 662731@bugs.debian.org (full text, mbox):

From: Tomasz Buchert <tomasz.buchert@inria.fr>
To: Bernhard Schmidt <berni@birkenwald.de>
Cc: 662731@bugs.debian.org, Sebastien Badia <seb@sebian.fr>
Subject: Re: Bug#662731: Any help?
Date: Sun, 1 Dec 2013 23:23:17 +0100
On 01/12/13 21:47, Bernhard Schmidt wrote:
> Hi Sebastien,
> 
> thanks for having a look at hwinfo. I was just pointed at this bug by
> MIA after querying them and offering to help maintain it (I don't really
> want to, but I still need it). Your package is a lot more progressed
> though, so I'm happy you are doing this.

Well, it's interesting :).

> 
> Regarding libx86emu, I came across the same problem during fixing up the
> package. I took the easy route by just disabling it on all platforms
> (patch attached), and I cannot make out any missing information in
> hwinfo-20.2 . This might be, at least for now, the easier way around
> libx86emu.

I think there is no need for that. We actually packaged
libx86emu as well: http://anonscm.debian.org/gitweb/?p=collab-maint/libx86emu.git
(which is now basically lintian clean). I haven't yet updated debian/control
of hwinfo to reflect this.

However, we found that libx86emu is kind-of part of libx86 and we try
to resolve that issue with its maintainer. I'll keep you informed (it
seems that the gitorious version of libx86emu diverged so significantly
from libx86 that it should be packaged separately).

> 
> In addition, I was using the old get-orig-source way of getting a
> tarball from the OpenSuSE src.rpm. I don't like it very much, but the
> "tarball" already contains the generated changelog and VERSION file, so
> you don't have to fix that up manually.
> 

Our "get-tarball.sh" generates these files as well. However the Makefile
has to be fixed anyway - git2log is called inside and sometimes fails.

> Best Regards,
> Bernhard

Same to you,
Tomasz

> From cff15424f3319ba3e9a021fb21dd35b8c0486b06 Mon Sep 17 00:00:00 2001
> From: Bernhard Schmidt <Bernhard.Schmidt@lrz.de>
> Date: Sat, 30 Nov 2013 20:54:17 +0100
> Subject: [PATCH 1/2] debian/patches/disable_vbe_info.patch: disable
>  get_vbe_info on all platforms
> 
> It depends on libx86emu which is not packaged for Debian yet. I could not make
> out any functional differences between hwinfo-16.0-2.2 and hwinfo-20.2 with
> this functionality disabled
> ---
>  debian/patches/disable_vbe_info.patch |   42 +++++++++++++++++++++++++++++++++
>  debian/patches/series                 |    1 +
>  2 files changed, 43 insertions(+)
>  create mode 100644 debian/patches/disable_vbe_info.patch
> 
> diff --git a/debian/patches/disable_vbe_info.patch b/debian/patches/disable_vbe_info.patch
> new file mode 100644
> index 0000000..597ea5f
> --- /dev/null
> +++ b/debian/patches/disable_vbe_info.patch
> @@ -0,0 +1,42 @@
> +diff --git a/Makefile b/Makefile
> +index 60b5a82..a4e84b0 100644
> +--- a/Makefile
> ++++ b/Makefile
> +@@ -19,14 +19,6 @@ VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
> + 
> + include Makefile.common
> + 
> +-# ia64
> +-ifneq ($(filter i386 x86_64, $(ARCH)),)
> +-SLIBS		+= -lx86emu
> +-TLIBS		+= -lx86emu
> +-SO_LIBS		+= -lx86emu
> +-TSO_LIBS	+= -lx86emu
> +-endif
> +-
> + SHARED_FLAGS	=
> + OBJS_NO_TINY	= names.o parallel.o modem.o
> + 
> +diff --git a/src/hd/bios.c b/src/hd/bios.c
> +index 04d730f..3d5bd8e 100644
> +--- a/src/hd/bios.c
> ++++ b/src/hd/bios.c
> +@@ -447,7 +447,7 @@ void hd_scan_bios(hd_data_t *hd_data)
> +       }
> +     }
> + 
> +-#if defined(__i386__) || defined (__x86_64__)
> ++#if 0
> +     get_vbe_info(hd_data, vbe);
> + #endif
> + 
> +diff --git a/src/hd/mdt.c b/src/hd/mdt.c
> +index 780b074..6406e57 100644
> +--- a/src/hd/mdt.c
> ++++ b/src/hd/mdt.c
> +@@ -1,4 +1,4 @@
> +-#if defined(__i386__) || defined (__x86_64__)
> ++#if 0
> + 
> + #define _GNU_SOURCE
> + 
> diff --git a/debian/patches/series b/debian/patches/series
> index 23e0e92..6b28be9 100644
> --- a/debian/patches/series
> +++ b/debian/patches/series
> @@ -9,3 +9,4 @@ sh_support.patch
>  dbus_pkg_config.patch
>  #as-needed.patch
>  fix_segfault_in_hd_is_xen_on_amd64
> +disable_vbe_info.patch
> -- 
> 1.7.10.4
> 




Owner changed from Sebastien Badia <sebastien@badia.fr> to Sebastien Badia <seb@sebian.fr>. Request was from Sebastien Badia <seb@sebian.fr> to control@bugs.debian.org. (Sun, 15 Dec 2013 23:24:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 662731: 733578 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 30 Dec 2013 04:27:17 GMT) Full text and rfc822 format available.

Reply sent to Sebastien Badia <seb@sebian.fr>:
You have taken responsibility. (Fri, 21 Mar 2014 16:03:28 GMT) Full text and rfc822 format available.

Notification sent to William Vera <billy@billy.com.mx>:
Bug acknowledged by developer. (Fri, 21 Mar 2014 16:03:28 GMT) Full text and rfc822 format available.

Message #50 received at 662731-close@bugs.debian.org (full text, mbox):

From: Sebastien Badia <seb@sebian.fr>
To: 662731-close@bugs.debian.org
Subject: Bug#662731: fixed in hwinfo 21.0-1
Date: Fri, 21 Mar 2014 16:00:07 +0000
Source: hwinfo
Source-Version: 21.0-1

We believe that the bug you reported is fixed in the latest version of
hwinfo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastien Badia <seb@sebian.fr> (supplier of updated hwinfo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 16 Mar 2014 12:58:41 +0100
Source: hwinfo
Binary: hwinfo libhd21 libhd-doc libhd-dev
Architecture: source i386 all
Version: 21.0-1
Distribution: unstable
Urgency: low
Maintainer: Sebastien Badia <seb@sebian.fr>
Changed-By: Sebastien Badia <seb@sebian.fr>
Description: 
 hwinfo     - Hardware identification system
 libhd-dev  - Hardware identification system library and headers
 libhd-doc  - Hardware identification system library documentation
 libhd21    - Hardware identification system library
Closes: 613184 661994 662731 667846 677102
Changes: 
 hwinfo (21.0-1) unstable; urgency=low
 .
   * New Upstream release 21.0 (closes: #677102)
   * New maintainer, add Vcs-* and Homepage fields (closes: #662731)
   * Update upstream info, correct debian watch file (closes: #667846)
   * Stop using HAL (closes: #613184)
   * Fix DBus assertion errors (upstream) (closes: #661994)
   * Countless package improvements
     * Switch debian/copyright to format 1.0 (machine-readable)
     * Update dh compat level to 9 and bump Standards-Version to 3.9.5
     * Renamed libhd16{-dev,-doc} to libhd20{-dev,-doc} according to new soname.
   * Many fixes to Lintian problems
     * Remove BSD licence (src/int10/AsmMacros.h don't exist anymore)
     * Remove obsolete sparc_kioc and serial_struct patches
     * Quilt refresh patches (cpu.c-alpha_bogo,dbus_pkg_config.patch,
       hwinfo.8-strip_suse,kbd.c-tiocgdev_undefined,sh_support.patch)
     * "gbp pq import" more friendly patches now.
     * patch as-needed patch is managed by upstream now,
       remove ftbfs (src/int10/i10_v86.c doesn't exist)
     * patches Refresh fix_segfault_in_hd_is_xen_on_amd64
     * Clean useless readme
Checksums-Sha1: 
 ebde4688d69463b4d626c34ecb84a2d1ff454998 2049 hwinfo_21.0-1.dsc
 3b87f34f5ae373f83f3643f38b89fa78936cac5e 850416 hwinfo_21.0.orig.tar.gz
 9704f8fe882b764c77dea455097d82946db85cd6 13924 hwinfo_21.0-1.debian.tar.xz
 867a5d679b062565b6ae14f2f3fa3558dc5b8fee 31590 hwinfo_21.0-1_i386.deb
 d11e8e9154fc837a9bf109d0c56c449d1a76cae8 513260 libhd21_21.0-1_i386.deb
 791e58b6f9698a4884b4e6fc722376cf2fe8b44a 570078 libhd-doc_21.0-1_all.deb
 6d72c5373c786b553361e2a09a48810085c77a55 36722 libhd-dev_21.0-1_i386.deb
Checksums-Sha256: 
 ea211497c5825b9214742de35048d36f7e25ece96da65d8e028281d0909d0dbb 2049 hwinfo_21.0-1.dsc
 00afcfebdf47c8d6daf8419c2f6a2f746ac2ec8852c339e5cd30bf6a85e386e6 850416 hwinfo_21.0.orig.tar.gz
 4b8b2d0139f2013836083fda38e51876efb5dd7a3d7949ac06fdbb3e7fbb47b7 13924 hwinfo_21.0-1.debian.tar.xz
 987c64f23a7e12f246c3e20eae584f75d0bd2f78edb4975642866cbe5d16aeee 31590 hwinfo_21.0-1_i386.deb
 7183c2844e6c7732542e169bf70e4c34fe3426c0e252b36fcc9fdf17d5421151 513260 libhd21_21.0-1_i386.deb
 66080230893a9632d84468329c7a63fdac58656d73cebbfbeb374efc94919999 570078 libhd-doc_21.0-1_all.deb
 b6ed321888b8f6c152455327fbbc6512ba12247ad83006bf1178b0e646775dd9 36722 libhd-dev_21.0-1_i386.deb
Files: 
 500b666978654dcae2f8eea4f0bc02ab 2049 admin optional hwinfo_21.0-1.dsc
 422346391ce726afd84a0555aaea2aa5 850416 admin optional hwinfo_21.0.orig.tar.gz
 c7d57eed9ba1933ac11750ee624b00a3 13924 admin optional hwinfo_21.0-1.debian.tar.xz
 059359ac5b87c4551406ff059ca373be 31590 admin optional hwinfo_21.0-1_i386.deb
 54e272c1b202e781195d2256f0fdaa7e 513260 libs optional libhd21_21.0-1_i386.deb
 f4a87fedd38f4f469cd2138ce9157e52 570078 doc optional libhd-doc_21.0-1_all.deb
 3b983c3524191677b04ef5575775edb3 36722 libdevel optional libhd-dev_21.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTKhaQAAoJEINZGTv9ywnEiccP/3/ppfIhzd2cITvZ3qSOn/er
ItyN2wx7Ym9EgzVWEW2OdJvGu9y5LtDfbfQ59jKH0rE+3x2pqgyURmmw2iVc/zZE
xlllRCZEhRe9I55RcTEPoXW+FcqhynXrY3ct6GoSWQ8x5i7gOoCskj86IJpWgQ6X
CmPN8LF3REfRoIsFWd9rZfNpkpF7g1TkzrhIS4hnf6vmb2ockDxeiVPK71AZp8DV
Rx2GDrja4fOlqi3z0ZletAsdn9m4DZsirXMAROFMOLAx4ChvFSHwcFdsb2yKf2ik
02WbYgderJC71rkgaoUadqNsIOUXuzepBwd61Gj4kdn1877AFgbhp5A/DkaLjg8T
vVpDAU5pVL+ONxEgTYqWVb9WG31HIE+yZyy/SkyT380FPW7BOJz7RV7xK7wg8AZL
qVgpyuwUZx+RedMr8pHAMfJ1R9b7wWCdNjh+p8PBWv3+wDfUIY5UVatjlaUoOxEQ
XxUZFf+i1RDQAc4GV9qSfJS0xAArG1tai99HFnubv2Z5faTYnWvZJS/8BQhj55r7
bIwbqNjpkUiG2dQjUZJxmqLVhXCpWliMXowPYuzGd6Jjnh71K2qVyM4H8E8UxGEv
GRqR8r5Bs6I9Yw1XmErxt40zJTLTaIi6AY8IVGH+i6/SmAyAkPxkfEYd9dgcFSjR
zORIwqss6vuq57LZpEst
=+2VX
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:31:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.